CVE-2020-8161

A directory traversal vulnerability exists in rack < 2.2.0 that allows an attacker perform directory traversal vulnerability in the Rack::Directory app that is bundled with Rack which could result in information disclosure.
References
Link Resource
https://groups.google.com/g/rubyonrails-security/c/IOO1vNZTzPA Mailing List Patch Third Party Advisory
https://hackerone.com/reports/434404 Permissions Required Third Party Advisory
https://lists.debian.org/debian-lts-announce/2020/07/msg00006.html Mailing List Third Party Advisory
https://lists.debian.org/debian-lts-announce/2023/01/msg00038.html Mailing List Third Party Advisory
https://usn.ubuntu.com/4561-1/ Third Party Advisory
Configurations

Configuration 1 (hide)

cpe:2.3:a:rack_project:rack:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

Configuration 3 (hide)

cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*

History

02 Feb 2023, 19:20

Type Values Removed Values Added
CPE cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
References (MLIST) https://lists.debian.org/debian-lts-announce/2023/01/msg00038.html - (MLIST) https://lists.debian.org/debian-lts-announce/2023/01/msg00038.html - Mailing List, Third Party Advisory

31 Jan 2023, 01:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2023/01/msg00038.html -

24 May 2022, 15:56

Type Values Removed Values Added
CPE cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
References (MLIST) https://lists.debian.org/debian-lts-announce/2020/07/msg00006.html - (MLIST) https://lists.debian.org/debian-lts-announce/2020/07/msg00006.html - Mailing List, Third Party Advisory
References (UBUNTU) https://usn.ubuntu.com/4561-1/ - (UBUNTU) https://usn.ubuntu.com/4561-1/ - Third Party Advisory
First Time Canonical
Debian debian Linux
Debian
Canonical ubuntu Linux

Information

Published : 2020-07-02 19:15

Updated : 2023-12-10 13:27


NVD link : CVE-2020-8161

Mitre link : CVE-2020-8161

CVE.ORG link : CVE-2020-8161


JSON object : View

Products Affected

debian

  • debian_linux

canonical

  • ubuntu_linux

rack_project

  • rack
CWE
CWE-22

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')

CWE-548

Exposure of Information Through Directory Listing